dpkg-checkbuilddeps(1)

NAZWA
dpkg-checkbuilddeps - sprawdza zależności i konflikty czasu budowania

SKŁADNIA
dpkg-checkbuilddeps [opcje] [plik-kontrolny]

OPIS
Program ten sprawdza pakiety zainstalowane w systemie w stosunku do wymagań i konfliktów zapisanych w pliku kontrolnym. Jeżeli któreś nie są spełnione, wyświetla je i kończy działanie z niezerowym kodem powrotu.

Domyślnie będzie czytany plik debian/control, jednakże w linii poleceń można podać alternatywny plik kontrolny.

OPCJE

--admindir=katalog
    Zmienia położenie bazy danych dpkg. Domyślnie jest to /var/lib/dpkg.

-B  Ignoruje linie Build-Depends-Indep. Należy używać, jeśli nie będą budowane pakiety niezależne od architektury.

-d zależności_budowania

-c konflikty_budowania
    Używa podanych zależności/konfliktów czasu budowania zamiast wymienionych w pliku debian/control.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

AUTOR
Copyright © 2001 Joey Hess

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008